Package org.gradle.platform.base

## Interface ComponentSpecContainer

- All Superinterfaces:
    `Iterable<ComponentSpec>`, `ModelElement`, `ModelMap<ComponentSpec>`, `Named`

      @Incubating
      public interface ComponentSpecContainer
      extends ModelMap<ComponentSpec>

  A container of software components.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName, getName`

    - ### Methods inherited from interface org.gradle.model.ModelMap

      `afterEach, afterEach, all, beforeEach, beforeEach, containsKey, containsValue, create, create, create, create, get, get, isEmpty, keySet, named, named, put, size, values, withType, withType, withType`